package cn.wisenergy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 86187
 */
public interface UserRechargeMapper extends BaseMapper<UserRechargeMapper> {
    /**
     * 获取该用户充值总金额
     * @param userId 用户id
     * @return 充值总金额
     */
    Double getTotalRecharge(@Param("userId") Long userId);

    /**
     * 获取充币地址
     * @param userId 用户id
     * @return 充币地址
     */
    String getReceiveAddr(@Param("userId") Long userId);

}
