package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author 86187
 */
@Data
@ApiModel(value = "UserVo")
public class UserVo {

    @ApiModelProperty(value = "用户id", name = "userId")
    private Long userId;

    @ApiModelProperty(value = "父id", name = "parentId")
    private Integer parentId;

    @ApiModelProperty(value = "用户真实名字", name = "realName")
    private String realName;

    @ApiModelProperty(name = "idNumber", value = "身份证号")
    private String idNumber;

    @ApiModelProperty(name = "phone", value = "用户手机号")
    private String phone;

    @ApiModelProperty(name = "totalRecharge", value = "充值总额")
    private String totalRecharge;

    @ApiModelProperty(name = "totalWithdrawal", value = "提现总额")
    private String totalWithdrawal;

    @ApiModelProperty(name = "rank", value = "层级")
    private Integer rank;

    @ApiModelProperty(name = "bottom", value = "向下最深层级层级数")
    private Integer bottom;

    @ApiModelProperty(name = "totalPeople", value = "伞下人员总和")
    private Integer totalPeople;

    @ApiModelProperty(name = "buyTotal", value = "otc卖入总额")
    private String buyTotal;

    @ApiModelProperty(name = "saleTotal", value = "otc卖出总额")
    private String saleTotal;

    @ApiModelProperty(value = "子节点数据", name = "childrens")
    List<UserVo> children;

}
