package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Data
@Accessors(chain = true)
@ApiModel(value="UserSimpleInfoDto类", description="user简单信息")
public class UserSimpleInfoDto {
    @ApiModelProperty(name = "userId", value = "会员ID")
    private Long userId;

    @ApiModelProperty(name = "realName",value = "姓名")
    private String realName;

    @ApiModelProperty(name = "rank", value = "层级")
    private Integer rank;

    @ApiModelProperty(name = "idNumber",value = "身份证号")
    private String idNumber;

    @ApiModelProperty(name = "phone", value = "用户手机号")
    private String phone;

    @ApiModelProperty(name = "totalRecharge", value = "充值总额")
    private String totalRecharge;

    @ApiModelProperty(name = "totalWithdrawal", value = "提现总额")
    private String totalWithdrawal;

    @ApiModelProperty(name = "parentId", value = "直接上级id")
    private Integer parentId;

    @ApiModelProperty(name = "parentName", value = "直接上级姓名")
    private String parentName;


}
